//
// Includes most useful headers.
//
// Guit GUI Toolkit (https://www.telecom-paris.fr/~elc/guit/)
// Copyright 2020 Eric Lecolinet (eric.lecolinet@gmail.com) - Telecom Paris 
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef GuitAll_hpp
#define GuitAll_hpp

#include <gapp.hpp>
#include <gadget.hpp>
#include <gadd.hpp>
#include <gtrigger.hpp>
#include <gevent.hpp>
#include <gfile.hpp>

#include <gcond.hpp>
#include <gcall.hpp>
#include <gbind.hpp>
#include <gexpr.hpp>
#include <gbool.hpp>
#include <gint.hpp>
#include <gchoice.hpp>
#include <gfloat.hpp>
#include <gtext.hpp>

#include <gfont.hpp>
#include <gcolor.hpp>
#include <gicon.hpp>
#include <galign.hpp>
#include <gborder.hpp>
#include <gflow.hpp>
#include <gflex.hpp>
#include <gformat.hpp>
#include <ggap.hpp>
#include <gmargin.hpp>
#include <gpos.hpp>
#include <gsize.hpp>
#include <gmodes.hpp>
#include <ganim.hpp>

#include <gtextitem.hpp>
#include <gspinitem.hpp>
#include <gslider.hpp>
#include <gscrollbox.hpp>
#include <gbar.hpp>
#include <gcombobox.hpp>
#include <gstackbox.hpp>
#include <gtable.hpp>
#include <gchart.hpp>
#include <gmenu.hpp>
#include <gfiledialog.hpp>

#endif
